CREATE TABLE NNVIDEO_SYSTEM (
	ID NUMBER,
	NAME VARCHAR2(100 CHAR),
	HOST VARCHAR2(100 CHAR),
	PORT NUMBER,
	USERNAME VARCHAR2(100 CHAR),
	PASSWORD VARCHAR2(100 CHAR),
	OUTSIDE_ACCESS VARCHAR2(1 CHAR),
	ACT VARCHAR2 (1 CHAR),
	CONSTRAINT NNVIDEO_SYSTEM_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE NNVIDEO_SYSTEM_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE NNCAMERA (
	ID NUMBER,
	NAME VARCHAR2(100 CHAR),
	ACT VARCHAR2 (1 CHAR),
	CONSTRAINT NNCAMERA_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE NNCAMERA_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE VIDEO_SYSTEM_CAMERA (
	ID NUMBER NOT NULL,
	ID_VIDEO_SYSTEM NUMBER NOT NULL,
	ID_CAMERA NUMBER NOT NULL,
	CHANNEL NUMBER,
	CONSTRAINT VS_ID_VIDEO_SYSTEM_FK FOREIGN KEY (ID_VIDEO_SYSTEM) REFERENCES NNVIDEO_SYSTEM(ID),
	CONSTRAINT VS_ID_CAMERA_FK FOREIGN KEY (ID_CAMERA) REFERENCES NNCAMERA(ID),
	CONSTRAINT VIDEO_SYSTEM_CAMERA_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE VIDEO_SYSTEM_CAMERA_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE CAMERA_COVERAGE (
	ID NUMBER NOT NULL,
	ID_CAMERA NUMBER NOT NULL,
	ID_PRIVEZ NUMBER NOT NULL,
	CAMERA_PRESET NUMBER,
	CONSTRAINT CC_ID_CAMERA_FK FOREIGN KEY (ID_CAMERA) REFERENCES NNCAMERA(ID),
	CONSTRAINT CC_ID_PRIVEZ_FK FOREIGN KEY (ID_PRIVEZ) REFERENCES NNPRIVEZ(ID_PRIVEZ),
	CONSTRAINT CAMERA_COVERAGE_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE CAMERA_COVERAGE_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE OR REPLACE VIEW V_VIDEO_SYSTEM_CAMERA
AS (
SELECT VS.ID, VS.ID_VIDEO_SYSTEM, VS.ID_CAMERA, VS.CHANNEL, NS.NAME AS VIDEO_SYSTEM_NAME, NC.NAME AS CAMERA_NAME
FROM VIDEO_SYSTEM_CAMERA VS
LEFT OUTER JOIN NNVIDEO_SYSTEM NS ON NS.ID = VS.ID_VIDEO_SYSTEM
LEFT OUTER JOIN NNCAMERA NC ON NC.ID = VS.ID_CAMERA
);

CREATE OR REPLACE VIEW V_CAMERA_COVERAGE
AS (
SELECT CC.ID, CC.ID_CAMERA, CC.ID_PRIVEZ, CC.CAMERA_PRESET, NC.NAME AS CAMERA_NAME, NP.N_PRIVEZA
FROM CAMERA_COVERAGE CC
LEFT OUTER JOIN NNCAMERA NC ON NC.ID = CC.ID_CAMERA
LEFT OUTER JOIN NNPRIVEZ NP ON NP.ID_PRIVEZ = CC.ID_PRIVEZ
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (777, SYSDATE, '5.5', 697, 'Video');